# frozen_string_literal: true

require 'concerns/restorable'
class ItemListing < ItemApplicationRecord
  self.table_name = 'item_channel_associations'
  include ::Restorable

  belongs_to :item
  has_many :variant_listings, foreign_key: :channel_association_id
  has_many :item_listing_images, foreign_key: :channel_association_id
  has_many :item_listing_categories, foreign_key: :channel_association_id
  has_many :item_listing_brands, foreign_key: :channel_association_id
  has_many :item_listing_variant_custom_fields, foreign_key: :channel_association_id
  has_many :item_listing_custom_fields, foreign_key: :channel_association_id
  has_many :item_listing_variant_images, foreign_key: :channel_association_id
  has_one :category,
    dependent: :destroy,
    autosave: true
end
