# frozen_string_literal: true

require 'concerns/restorable'
class VariantListing < ItemApplicationRecord
  self.table_name = 'item_channel_association_variant_associations'
  include ::Restorable

  belongs_to :variant
  belongs_to :item_listing, foreign_key: :channel_association_id
  has_one :variant_listing_stock_allocation,
    class_name: 'VariantListingStockAllocation',
    foreign_key: :variant_association_id
  has_many :variant_listing_price_histories, foreign_key: :variant_association_id
end
